'use strict';

module.exports = {
  "domains": [
    { "id": "daplie.me", "revokedAt": 0 }
  , { "id": "oneal.daplie.me", "revokedAt": 0 }
  , { "id": "aj.oneal.daplie.me", "revokedAt": 0 }
  ]
, "records": [
    // zone daplie.me should be able to have some records on its own
    { "zone": "daplie.me", "type": "A", "domain": "daplie.me"
    , "tld": "me", "sld": "daplie", "sub": "", "value": "23.228.168.108", "aname": "tardigrade.devices.daplie.me" }

  , { "zone": "daplie.me", "type": "A", "domain": "www.daplie.me"
    , "tld": "me", "sld": "daplie", "sub": "www", "value": "23.228.168.108", "aname": "tardigrade.devices.daplie.me" }

  , { "zone": "daplie.me", "type": "CNAME", "domain": "email.daplie.me"
    , "tld": "me", "sld": "daplie", "sub": "email", "value": "mailgun.org" }

  , { "zone": "daplie.me", "type": "ANAME", "domain": "tardigrade.devices.daplie.me", "device": "abcdef123"
    , "tld": "me", "sld": "daplie", "sub": "tardigrade.devices", "value": "23.228.168.108" }

    // zone daplie.me can delegate oneal.daplie.me to the same nameserver
    // (it's probably programmatically and politically simplest to always delegate from a parent zone)
    // Thought Experiment: could we delegate the root to a child? i.e. daplie.me -> www.daplie.me
    // to let someone exclusively "own" the root domain, but none of the children?
  , { "zone": "daplie.me", "type": "NS", "domain": "oneal.daplie.me"
    , "tld": "me", "sld": "daplie", "sub": "oneal", "value": "ns1.redirect-www.org" }

  , { "zone": "daplie.me", "type": "NS", "domain": "oneal.daplie.me"
    , "tld": "me", "sld": "daplie", "sub": "oneal", "value": "ns2.redirect-www.org" }

    //
    // now the zone "oneal.daplie.me" can be independently owned (and delegated)
    // ... but what about email for aj@daplie.me with aj@daplie.me?
  , { "zone": "oneal.daplie.me", "type": "A", "domain": "oneal.daplie.me"
    , "tld": "daplie.me", "sld": "oneal", "sub": "", "value": "45.56.59.142", "aname": "leo.devices.oneal.daplie.me" }

  , { "zone": "oneal.daplie.me", "type": "CNAME", "domain": "www.oneal.daplie.me"
    , "tld": "daplie.me", "sld": "oneal", "sub": "www", "value": "oneal.daplie.me" }

  , { "zone": "oneal.daplie.me", "type": "NS", "domain": "aj.oneal.daplie.me"
    , "tld": "daplie.me", "sld": "oneal", "sub": "aj", "value": "ns1.redirect-www.org" }

  , { "zone": "oneal.daplie.me", "type": "NS", "domain": "aj.oneal.daplie.me"
    , "tld": "daplie.me", "sld": "oneal", "sub": "aj", "value": "ns2.redirect-www.org" }

    // there can be a wildcard, to which a delegation is the exception
  , { "zone": "oneal.daplie.me", "type": "A", "domain": "*.oneal.daplie.me"
    , "tld": "daplie.me", "sld": "oneal", "sub": "*", "value": "45.56.59.142", "aname": "leo.devices.oneal.daplie.me" }

    // there can be an exception to the delegation
  , { "zone": "oneal.daplie.me", "type": "A", "domain": "exception.aj.oneal.daplie.me"
    , "tld": "daplie.me", "sld": "oneal", "sub": "exception.aj", "value": "45.56.59.142", "aname": "leo.devices.oneal.daplie.me" }


    //
    // aj.oneal.daplie.me
    //
  , { "zone": "aj.oneal.daplie.me", "type": "A", "domain": "aj.oneal.daplie.me"
    , "tld": "oneal.daplie.me", "sld": "aj", "sub": "", "value": "45.56.59.142", "aname": "leo.devices.oneal.daplie.me" }
  ]
}
;
